# Elysium Actions
## About
The actions are used by Elysium to run CI/CD tasks and this repo will be archived once Gitea supports private actions (See issue [Here](https://github.com/go-gitea/gitea/issues/24621))

## Actions

The actions available are: 
- [S3 Backup](https://gitea.dunemask.dev/elysium/elysium-actions/src/branch/s3-backup/action.yml)
- [Oasis Auto Setup](https://gitea.dunemask.dev/elysium/elysium-actions/src/branch/oasis-setup-auto/action.yml)
- [Infisical Env](https://gitea.dunemask.dev/elysium/elysium-actions/src/branch/infisical-env/action.yml)
- [Oasis Advanced Setup](https://gitea.dunemask.dev/elysium/elysium-actions/src/branch/oasis-setup-advanced/action.yml)
- [Elysium CI/CD](https://gitea.dunemask.dev/elysium/elysium-actions/src/branch/elysium-ci-cd/action.yml)

## Workflow Template

The example below demonstrates how to use the [oasis-deploy](https://gitea.dunemask.dev/elysium/elysium-actions/src/branch/oasis-deploy/action.yml) action.

```yml
name: Deploy Edge
run-name: ${{ gitea.actor }} Deploy Edge
on:
 push:
   branches: [ master ]

env:
  GITEA_TOKEN: ${{ secrets.ELYSIUM_ORG_READ_TOKEN }}
  KUBECONFIG_BASE64: ${{ secrets.KUBECONFIG_USW_EDGE }}
  GARDEN_DEPLOY_ACTION: nile

jobs:
  deploy-edge:
    steps:
    - name: Oasis Setup
      uses: https://gitea.dunemask.dev/elysium/elysium-actions@oasis-deploy
      with:
        gitea-token: ${{ env.GITEA_TOKEN }}
        kubeconfig: ${{ env.KUBECONFIG_BASE64 }}
    - name: Deploy to Edge env
      run: garden deploy $GARDEN_DEPLOY_ACTION --force --force-build --env usw-edge
      working-directory: ${{ env.OASIS_WORKSPACE }}
```
